# frozen_string_literal: true

module Abot
  module Info
    class DatabaseTable
      DB_PATH = Info::OptionParser.instance.options[:db_path]

      ActiveRecord::Base.establish_connection(
        adapter: 'sqlite3',
        database: DB_PATH,
      )

      BASE_CONNECTION = ActiveRecord::Base.connection
      API_KEY_TABLE = BASE_CONNECTION.execute('SELECT * FROM api_key').freeze
      API_KEY = API_KEY_TABLE.first['api'].freeze
      SECRET_KEY = API_KEY_TABLE.first['secret'].freeze

      class << self
        def data_coins
          BASE_CONNECTION.execute('SELECT *  FROM symbols WHERE statusOrder IS NOT "NO_ORDER"')
        end

        def data_settings
          BASE_CONNECTION.execute('SELECT *  FROM trade_params').first
        end

        def data_daily_profit
          BASE_CONNECTION.execute("SELECT quote, sum(profit) as sum, count(*) as count FROM daily_profit GROUP BY quote")
        end
      end
    end
  end
end
